spring:
  cloud:
    zookeeper:
      enabled: true
      connect-string: 127.0.0.1:2181
      discovery:
        enabled: ${spring.cloud.zookeeper.enabled}
        root: /hudi-services
        instance-id: ${spring.application.name}-${deploy.hostname}-${random.uuid}-${deploy.datetime:19700101}
        metadata:
          discovery: zookeeper
          ip: ${deploy.ip}
          hostname: ${deploy.hostname}
          hostname_full: ${deploy.hostname-full}
          start_time: ${deploy.start-time}